Creates a versioned golden suite.
POST
/v1/m/evals/suites
const url = 'https://example.com/v1/m/evals/suites';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"criterion":"example","description":"example","judge_model":"example","name":"example","pass_threshold":1,"regression_threshold":1,"scorer":"example","subject_kind":"agent","suite_version":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/m/evals/suites \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "criterion": "example", "description": "example", "judge_model": "example", "name": "example", "pass_threshold": 1, "regression_threshold": 1, "scorer": "example", "subject_kind": "agent", "suite_version": 1 }'Creates a versioned golden suite. Write-tier + self-audited.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Header Parameters
Section titled “Header Parameters ” X-Olivares-Tenant
string format: uuid
Target tenant id; required when the principal can act in more than one tenant.
Request Body required
Section titled “Request Body required ” Media type application/json
object
criterion
string
description
string
judge_model
string
name
required
string
pass_threshold
number
regression_threshold
number
scorer
required
string
subject_kind
required
string
suite_version
integer format: int64
Responses
Section titled “ Responses ”OK
Media type application/json
object
Example generated
{}Bad request
Media type application/json
object
Example generated
{}Unauthenticated
Media type application/json
object
Example generated
{}Forbidden
Media type application/json
object
Example generated
{}Not found
Media type application/json
object
Example generated
{}Conflict / setup required
Media type application/json
object
Example generated
{}Rate limited
Media type application/json
object
Example generated
{}